!! ----------------------------------------------------------------------------
!! *PROGRAM* write_messages
!! @version sacr 1.1
!!
!! *SRC_FILE*
!! sacr/write_messages.f90
!!
!!
!! *LAST CHANGES*
!!
!!  -May 22, 2014: A.T.  Included "warning messages".
!!
!!
!! *DESCRIPTION* 
!!
!! This module contains the  subroutines for writing the control messages
!! (error, info and progress)
!!
!!  Copyright (C) 2014 McGill Clouds Research Group (http://www.clouds.mcgill.ca/)
!!  Contact email address: pavlos.kollias@mcgill.ca, aleksandra.tatarevic@mcgill.ca, iengjo@meteo.mcgill.ca
!!
!!  This source code is free software: you can redistribute it and/or modify
!!  it under the terms of the GNU Lesser General Public License as published by
!!  the Free Software Foundation, either version 3 of the License, or
!!  any later version.
!!
!!  This program is distributed in the hope that it will be useful,
!!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!!  GNU Lesser General Public License for more details.
!!
!!  You should have received a copy of the GNU Lesser General Public License
!!  along with this program.  If not, see <http://www.gnu.org/licenses/>.
!!
!! ----------------------------------------------------------------------------
  !
MODULE write_messages
  !
  INTEGER,PRIVATE,PARAMETER    :: unit=6
  CHARACTER(len=12),PRIVATE,PARAMETER   ::   error_str='Error    | '
  CHARACTER(len=12),PRIVATE,PARAMETER   ::    info_str='Info     | '
  CHARACTER(len=12),PRIVATE,PARAMETER   ::    prog_str='Progress | '
  CHARACTER(len=12),PRIVATE,PARAMETER   :: warning_str='Warning  | '
  !
CONTAINS
  !
  SUBROUTINE write_error(message)
    CHARACTER(len=*),INTENT(in)   :: message
    WRITE(unit,'(a)') error_str//TRIM(ADJUSTL(message))
  END SUBROUTINE write_error
  !
  SUBROUTINE write_warning(message)
    CHARACTER(len=*),INTENT(in)   :: message
    WRITE(unit,'(a)') warning_str//TRIM(ADJUSTL(message))
  END SUBROUTINE write_warning
  !
  SUBROUTINE write_info(message)
    CHARACTER(len=*),INTENT(in)   :: message
    WRITE(unit,'(a)') info_str//TRIM(ADJUSTL(message))
  END SUBROUTINE write_info
  !
  subroutine write_prog_status(in_message,i,itot)
    Integer,intent(in)   :: i,itot
    Character(len=*),Intent(in)   :: in_message
    Character(len=60)    :: message
     write(message,'(a,i3,a,i3)') TRIM(ADJUSTL(in_message)),i,' of ',itot
     WRITE(unit,'(a)') info_str//TRIM(ADJUSTL(message))
  end subroutine write_prog_status
   !
END MODULE write_messages
